#!/bin/bash

FICHFUNCS="/usr/bin/vx-funcs-bash"
[ -f "${FICHFUNCS}" ] && . "${FICHFUNCS}" "null"

echo "=> Script de postrun de centro específico"

# issue: https://soporte.vitalinux.educa.aragon.es/issues/6200
# Eliminamos el contenido de la carpeta descargas los viernes de cada semana:
# Comando date: %w      Día de la semana en número (0..6, 0 es domingo, 5 es viernes)

if [[ $(date +'%w') == "5" ]]; then
    # Preparamos la auditoria:
    LOG="vx-limpiar-descargas.log"
    vx-log_xsession -o "${LOG}"
    # Regeneramos el directorio de Descargas: 1:Descargas, 2:Documentos, 3:Imágenes, 4:Vídeos, 5:Música, 6:Plantillas, 7:Público
    # Ejemplos de uso: vx-regenerar-directorios_especificos-cli "5:6:7" # Regenera los directorios Música, Plantillas y Público
    vx-regenerar-directorios_especificos-cli 1
fi
